> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Deal Debt Lenders

GET https://api.filesearch.dev/v2/datasets/odyssey/deals/{id}/debt-lenders

Get debt lenders.

Returns lenders and debt financing details for the deal.

Note: Debt lender data is limited in public sources.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/deals/deals-debt-lenders

## Request

### Path parameters

- `id` (string, required) — Deal entity ID

## Response

### 200

Successful Response

- `deal_id` (string, optional)
- `company_name` (string, optional, nullable)
- `is_debt_round` (boolean, optional)
- `lenders` (list of any, optional)
- `total` (integer, optional)
- `data_sources` (list of any, optional)

## Examples

**Response**

```json
{
  "deal_id": "deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0",
  "company_name": null,
  "is_debt_round": false,
  "lenders": [],
  "total": 0,
  "data_sources": []
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/debt-lenders",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/debt-lenders`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```